/*
 * bemenus.h
 *
 * Copyright 2003-2008 by Praemio Inc. All rights reserved.
 * Author: John Bartas - jbartas@praemio.com
 * This software is released under the terms of the LGPL.
 * See LGPL Notice at end of this file; Full license in ../license.txt
 */

#ifndef BRMENUS_H
#define BRMENUS_H 1

struct br_menuentry
{
    char  * cmd;
    int (*func)(void * iodev, char * params);
    char  * text;
};

/* Master list of all menu lists */
extern  struct br_menuentry *   menulist[];

/* List of all menus in the system */
extern struct br_menuentry * menulist[];

/* Main entry: invoke menu system */
extern  int br_menucmd(void * outdev, char * input);

#ifndef bm_printf
/* The menu output printf */
extern  int bm_printf(void * io, char * fmt, ...);
#endif /* bm_printf */

#endif   /* _DHCPDEF_H */

/*
Copyright (C) 2003-2008 by Praemio Inc. All rights reserved.

Author: John Bartas - jbartas@praemio.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/



